summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-04-26 19:45:46 +0000
committer Eric Hameleers <alien@slackware.com>2022-04-27 06:59:51 +0200
commitee861a17268a54a17b3b321d9a1ff82ed547e606 (patch)
tree023e30445780134e9caadb2d3e8d7b7df8172617 /source/l
parentf0048b99862439c8f968371f12dade3470e803ab (diff)
downloadcurrent-ee861a17268a54a17b3b321d9a1ff82ed547e606.tar.gz
current-ee861a17268a54a17b3b321d9a1ff82ed547e606.tar.xz
Tue Apr 26 19:45:46 UTC 202220220426194546
a/mkinitrd-1.4.11-x86_64-29.txz: Rebuilt. Support mounting additional partitions from the initrd - useful for anyone still stuck with a separated /usr. ;-) Thanks to PiterPunk. Ensure that the target directory exists before trying to copy a module into it (workaround for coreutils 9.1 behavior change). ap/vim-8.2.4830-x86_64-1.txz: Upgraded. l/SDL2-2.0.22-x86_64-1.txz: Upgraded. l/elfutils-0.187-x86_64-1.txz: Upgraded. l/fluidsynth-2.2.7-x86_64-1.txz: Upgraded. n/gnupg2-2.2.35-x86_64-1.txz: Upgraded. xap/vim-gvim-8.2.4830-x86_64-1.txz: Upgraded. xap/xpdf-4.04-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rw-r--r--source/l/SDL2/SDL2-2.0.9-khrplatform.patch15
-rwxr-xr-xsource/l/SDL2/SDL2.SlackBuild34
-rw-r--r--source/l/SDL2/SDL2.no-werror-declaration-after-statement.diff18
3 files changed, 34 insertions, 33 deletions
diff --git a/source/l/SDL2/SDL2-2.0.9-khrplatform.patch b/source/l/SDL2/SDL2-2.0.9-khrplatform.patch
deleted file mode 100644
index b6c39278b..000000000
--- a/source/l/SDL2/SDL2-2.0.9-khrplatform.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff -up SDL2-2.0.9/include/SDL_opengl_glext.h.khrplatform SDL2-2.0.9/include/SDL_opengl_glext.h
---- SDL2-2.0.9/include/SDL_opengl_glext.h.khrplatform 2019-02-15 20:22:39.173773779 -0500
-+++ SDL2-2.0.9/include/SDL_opengl_glext.h 2019-02-15 20:22:58.176399330 -0500
-@@ -469,8 +469,9 @@ GLAPI void APIENTRY glBlendEquation (GLe
- typedef long GLsizeiptr;
- typedef long GLintptr;
- #else
--typedef ptrdiff_t GLsizeiptr;
--typedef ptrdiff_t GLintptr;
-+#include <KHR/khrplatform.h>
-+typedef khronos_intptr_t GLintptr;
-+typedef khronos_ssize_t GLsizeiptr;
- #endif
- #define GL_BUFFER_SIZE 0x8764
- #define GL_BUFFER_USAGE 0x8765
diff --git a/source/l/SDL2/SDL2.SlackBuild b/source/l/SDL2/SDL2.SlackBuild
index 60deeadbb..b2afbddc7 100755
--- a/source/l/SDL2/SDL2.SlackBuild
+++ b/source/l/SDL2/SDL2.SlackBuild
@@ -85,21 +85,22 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Fix video-opengles1 build failure:
-zcat $CWD/SDL2-2.0.9-khrplatform.patch.gz | patch -p1 --verbose || exit 1
-
-# Configure:
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --mandir=/usr/man \
- --build=$ARCH-slackware-linux || exit 1
-
-# Build and install:
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+zcat $CWD/SDL2.no-werror-declaration-after-statement.diff.gz | patch -p1 --backup --suffix=.orig || exit 1
+
+# Configure, build, and install:
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ -DDOC_INSTALL_DIR="doc" \
+ -DMAN_INSTALL_DIR=/usr/man \
+ .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
# Don't package the static libraries:
( cd $PKG/usr/lib${LIBDIRSUFFIX}
@@ -108,9 +109,6 @@ make install DESTDIR=$PKG || exit 1
done
)
-# Don't package .la files:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
-
# Strip binaries:
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/SDL2/SDL2.no-werror-declaration-after-statement.diff b/source/l/SDL2/SDL2.no-werror-declaration-after-statement.diff
new file mode 100644
index 000000000..52e612888
--- /dev/null
+++ b/source/l/SDL2/SDL2.no-werror-declaration-after-statement.diff
@@ -0,0 +1,18 @@
+--- ./CMakeLists.txt.orig 2022-04-21 12:37:37.000000000 -0500
++++ ./CMakeLists.txt 2022-04-26 13:11:44.293866236 -0500
+@@ -532,15 +532,6 @@
+ list(APPEND EXTRA_CFLAGS "-fno-strict-aliasing")
+ endif()
+
+- check_c_compiler_flag(-Wdeclaration-after-statement HAVE_GCC_WDECLARATION_AFTER_STATEMENT)
+- if(HAVE_GCC_WDECLARATION_AFTER_STATEMENT)
+- check_c_compiler_flag(-Werror=declaration-after-statement HAVE_GCC_WERROR_DECLARATION_AFTER_STATEMENT)
+- if(HAVE_GCC_WERROR_DECLARATION_AFTER_STATEMENT)
+- list(APPEND EXTRA_CFLAGS "-Werror=declaration-after-statement")
+- endif()
+- list(APPEND EXTRA_CFLAGS "-Wdeclaration-after-statement")
+- endif()
+-
+ if(DEPENDENCY_TRACKING)
+ check_c_source_compiles("
+ #if !defined(__GNUC__) || __GNUC__ < 3